#include <Ice/Ice.h>
#include <IceUtil/IceUtil.h>

#include "Ft.h"

using namespace std;

extern Ft::FooIPtr foo;

class App : virtual public Ice::Application
{
public:

  virtual int run(int argc, char *argv[])
  {
    Ice::CommunicatorPtr comm;
    Ice::ObjectAdapterPtr adapter;
    Ice::Identity ident;

    ident.category = "Ft";
    ident.name = "foo";

    comm = communicator();

    adapter = comm->createObjectAdapterWithEndpoints("Adapter", "default -p 20000");
    foo = new Ft::FooI();
    foo->bars.push_back(new Ft::BarI());
    comm->waitForShutdown();
    return 0;
  }
};
